<template>
	<view style="background-color: #F1F2F8;min-height: 100vh;">
		<tn-nav-bar :isBack="false" backTitle="" :bottomShadow="false" backgroundColor="#FFFFFF">
			<view class="custom-nav tn-flex tn-flex-col-center tn-flex-row-left">
				<view style="padding-left: 15rpx;" @click="goBack()">
					<text class="tn-icon-left" style="font-size: 40rpx;"></text>
				</view>
				<view style="width: 83%;font-weight: bold;">
					<text v-if="current==0">入会须知</text>
					<text v-if="current==1">填写资料</text>
					<text v-if="current==2">入会审核</text>
					<text v-if="current==3">缴纳会费</text>
					<text v-if="current==4">入会成功</text>
				</view>
			</view>
		</tn-nav-bar>

		<view class="tn-safe-area-inset-bottom" :style="{paddingTop: vuex_custom_bar_height + 'px'}">
			<view style="background-color: #ffffff;padding: 30rpx 0rpx;">
				<tn-steps activeColor="#3056D3" mode="number" :list="tab_list" :current="current"></tn-steps>
			</view>
			<view v-if="current==0">
				<view style="padding: 30rpx">
					<view style="background-color: #ffffff;padding: 30rpx;border-radius: 20rpx;">
						<view v-html="info.ruhuixizhu"></view>
						<view style="text-align: center;margin-top: 60rpx">
							<tn-checkbox activeColor="#3056D3" v-model="checked1">同意入会协议</tn-checkbox>
						</view>

					</view>
				</view>
				<view
					style="position: fixed;bottom:0px;width: 100%;background-color: #FFFFFF;box-shadow: 0rpx -2rpx 4rpx 0rpx rgba(186,189,199,0.2);padding:30rpx 30rpx 40rpx 30rpx;">
					<view class="tn-flex tn-flex-center tn-flex-col-center tn-flex-row-center">
						<view @click="one_next()"
							style="line-height: 80rpx;height: 80rpx;font-size: 32rpx;font-weight: bold;text-align: center;width: 80%;color: #ffffff;;background: #3056D3;border: 1rpx solid #3056D3;border-radius: 90rpx;">
							<text>下一步</text>
						</view>
					</view>
				</view>
			</view>

			<view v-if="current==1">
				<view style="padding: 30rpx;">
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;">
						<view style="font-size: 40rpx;font-weight: 600">前往电脑端完善资料并下载资料</view>
						<view style="margin-top: 20rpx;">
							<tn-button @click="copy" backgroundColor="#3056D3" size="sm"
								fontColor="#ffffff">复制链接</tn-button>
						</view>
						<!-- https://hnyea.0rui.cn/dist/#/register?token={{applyToken}} -->
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view style="font-size: 40rpx;font-weight: 600">1.入会资料</view>
						<tn-form ref="form" :labelWidth="150">
							<tn-form-item label="推荐方式">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="tuijian_type_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.tuijian_type_name}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-action-sheet :list="tuijianTypeList" v-model="tuijian_type_show"
									@click="getTuiJianTypeId"></tn-action-sheet>
							</tn-form-item>
							<block v-if="formData.reporting_method==2">
								<tn-form-item label="推荐人姓名" :borderBottom="false" :labelWidth="180">
									<tn-input placeholder="推荐人姓名" v-model="formData.recommendation_id"
										inputAlign="right" :customStyle="{width: '440rpx'}" />
									<!-- <tn-select v-model="tuijian_show" mode="single" :list="member_list"
										@confirm="getTuiJianId"></tn-select> -->
								</tn-form-item>
								<tn-form-item label="推荐人单位名称及职务" :labelWidth="350">
									<tn-input placeholder="推荐人单位名称及职务" :clearable="false" inputAlign="right"
										v-model="formData.recommendation_content" />
								</tn-form-item>
							</block>
							<block v-if="formData.reporting_method==1">
								<tn-form-item label="推荐地市" :disabled="true" :borderBottom="false" :labelWidth="180">
									<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
										@click="tuijian_region_show = true">
										<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
											{{formData.recommended_cities}}
										</view>
										<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
									</view>
									<tn-select v-model="tuijian_region_show" mode="single" :list="region_list"
										@confirm="getTuiJianRegion"></tn-select>

								</tn-form-item>
							</block>
							<block v-if="formData.reporting_method==3">
								<tn-form-item label="来源渠道" :disabled="true" :borderBottom="false" :labelWidth="180">
									<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
										@click="tuijian_laiyuan_show = true">
										<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
											{{formData.source_channel}}
										</view>
										<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
									</view>
									<tn-action-sheet :list="laiyuanList" v-model="tuijian_laiyuan_show"
										@click="getLaiyuan"></tn-action-sheet>
								</tn-form-item>
							</block>
							<tn-form-item label="意向协会职务" :disabled="true" :borderBottom="false" :labelWidth="200">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="tuijian_yixiang_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.intentional_association_position}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-action-sheet :list="yixiangList" v-model="tuijian_yixiang_show"
									@click="getYixiang"></tn-action-sheet>
							</tn-form-item>
						</tn-form>
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view style="font-size: 40rpx;font-weight: 600">2.基本信息</view>
						<tn-form ref="form" :labelWidth="150">
							<tn-form-item label="姓名" required>
								<tn-input placeholder="真实姓名" inputAlign="right" :clearable="false"
									:customStyle="{width: '470rpx'}" v-model="formData.nikename" />
							</tn-form-item>
							<tn-form-item label="性别" required>
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="gender_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.gender_name}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-action-sheet :list="genderList" v-model="gender_show"
									@click="getGenderId"></tn-action-sheet>
							</tn-form-item>
							<tn-form-item label="出生日期" required>
								<tn-input @click="birth_time_show = true" disabled placeholder="填写出出生日期"
									:clearable="false" inputAlign="right" :customStyle="{width: '470rpx'}"
									v-model="formData.birth_time" />
								<tn-picker mode="time" @confirm="birth_time_chick"
									:params="{year: true,month: true,day: true,hour: false,minute: false,second: false}"
									v-model="birth_time_show"></tn-picker>
								<!-- <tn-calendar v-model="birth_time_show" mode="date"
									@change="birth_time_chick"></tn-calendar> -->
							</tn-form-item>
							<tn-form-item label="民族" required>
								<tn-input placeholder="填写民族" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.nation" />
							</tn-form-item>
							<tn-form-item label="政治面貌" required>
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="zz_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.political}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-select :searchShow="false" v-model="zz_show" mode="single" :list="zz_list"
									@confirm="getZzId"></tn-select>
							</tn-form-item>
							<tn-form-item label="身份证号码" required :labelWidth="200">
								<tn-input placeholder="填写身份证号码" :clearable="false" inputAlign="right"
									:customStyle="{width: '420rpx'}" v-model="formData.card_number" />
							</tn-form-item>
							<tn-form-item label="工作单位" required>
								<tn-input placeholder="填写工作单位" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.work_unit" />
							</tn-form-item>
							<tn-form-item label="单位职务" required>
								<tn-input placeholder="填写单位职务" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.unit_position" />
							</tn-form-item>
							<tn-form-item label="通讯地址" required>
								<tn-input placeholder="填写通讯地址" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.mail_address" />
							</tn-form-item>
							<tn-form-item label="籍贯">
								<tn-input placeholder="填写籍贯" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.jiguan" />
							</tn-form-item>
							<tn-form-item label="毕业院校">
								<tn-input placeholder="填写毕业院校" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.institution" />
							</tn-form-item>
							<tn-form-item label="学历">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="xl_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.education}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-select :searchShow="false" v-model="xl_show" mode="single" :list="xl_list"
									@confirm="getXlId"></tn-select>
							</tn-form-item>
							<tn-form-item label="学位">
								<tn-input placeholder="填写学位" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.academic_degree" />
							</tn-form-item>
							<tn-form-item label="邮编">
								<tn-input placeholder="填写邮编" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.zip_code" />
							</tn-form-item>
							<tn-form-item label="手机号" required>
								<tn-input disabled placeholder="填写手机号" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.phone" />
							</tn-form-item>
							<tn-form-item label="邮箱">
								<tn-input placeholder="填写邮箱" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.mailbox" />
							</tn-form-item>
							<tn-form-item label="微信">
								<tn-input placeholder="填写微信" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.wx_number" />
							</tn-form-item>
							<tn-form-item label="固定电话">
								<tn-input placeholder="填写固定电话" :clearable="false" inputAlign="right"
									:customStyle="{width: '470rpx'}" v-model="formData.fixed_telephone" />
							</tn-form-item>
							<tn-form-item label="所在地区">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="dq_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.region_name}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-select :searchShow="false" v-model="dq_show" mode="multi-auto" :list="region_list"
									@confirm="getDqId"></tn-select>
							</tn-form-item>

							<tn-form-item prop="bank" :borderBottom="false">
								<view>
									<view style="font-size: 32rpx;font-weight: 600;">证件照</view>
									<view style="color: #FF7474;">请上传证件照，照片将作为会员证照</view>
									<view style="text-align: center;">
										<view @click="upload_img(0)"
											style="margin: 0 auto;width: 300rpx;height: 300rpx;background-color: #EDEDED;border: 2px solid #C9C9C9;line-height: 300rpx;">
											<text v-if="formData.photo_image==''">选择图片</text>
											<image v-if="formData.photo_image!=''" :src="apiImgUrl+formData.photo_image"
												style="width: 300rpx;height: 300rpx"></image>
										</view>
									</view>
								</view>
							</tn-form-item>
							<tn-form-item prop="bank" :borderBottom="false">
								<view>
									<view style="font-size: 32rpx;font-weight: 600;">身份证照</view>
									<view style="text-align: center;">
										<view @click="upload_img(1)"
											style="margin: 0 auto;width: 450rpx;height: 300rpx;background-color: #EDEDED;border: 2px solid #C9C9C9;line-height: 300rpx;">
											<text v-if="formData.cardz_image==''">身份证正面照</text>
											<image v-if="formData.cardz_image!=''" :src="apiImgUrl+formData.cardz_image"
												style="width: 100%;max-height: 300rpx;"></image>
										</view>
									</view>
									<view style="text-align: center;margin-top: 30rpx;">
										<view @click="upload_img(2)"
											style="margin: 0 auto;width: 450rpx;height: 300rpx;background-color: #EDEDED;border: 2px solid #C9C9C9;line-height: 300rpx;">
											<text v-if="formData.cardf_image==''">身份证背面照</text>
											<image v-if="formData.cardf_image!=''" :src="apiImgUrl+formData.cardf_image"
												style="width:100%;max-height: 300rpx;"></image>
										</view>
									</view>
								</view>
							</tn-form-item>
						</tn-form>
						<view style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;"></view>
						<view style="padding: 30rpx 0px;">
							<view>个人简介</view>
							<tn-input v-model="formData.introduction" :maxLength="1000" placeholder="填写个人简介"
								:clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
						<view style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;"></view>
						<view style="padding: 30rpx 0px;">
							<view>主要成就以及获奖情况</view>
							<tn-input v-model="formData.achievement_award" :maxLength="1000" placeholder="填写主要成就以及获奖情况"
								:clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view>
							<view style="font-size: 30rpx;font-weight: 600">学习工作经历</view>

							<tn-picker mode="time" @confirm="work_time_chick"
								:params="{year: true,month: true,day: false,hour: false,minute: false,second: false}"
								v-model="star_time_show"></tn-picker>

							<tn-form v-for="(item,index) in workList" ref="form" :labelWidth="150">
								<tn-form-item label="起止日期" :borderBottom="false">
									<tn-input @click="openStarTime(index,1)" placeholder="开始日期" disabled
										:clearable="false" inputAlign="right" :customStyle="{width: '470rpx'}"
										v-model="item.star_time" />


									<tn-input @click="openStarTime(index,2)" placeholder="结束日期" disabled
										:clearable="false" inputAlign="right" :customStyle="{width: '470rpx'}"
										v-model="item.end_time" />
								</tn-form-item>
								<tn-form-item label="地区单位" :borderBottom="false">
									<tn-input placeholder="填写地区单位" :clearable="false" inputAlign="right"
										:customStyle="{width: '470rpx'}" v-model="item.address" />
								</tn-form-item>
								<tn-form-item label="担任职务">
									<tn-input placeholder="填写担任职务" :clearable="false" inputAlign="right"
										:customStyle="{width: '470rpx'}" v-model="item.book" />
								</tn-form-item>
								<view v-if="index!=0" style="text-align: center;">
									<tn-button @click="delWork(index)" backgroundColor="#ffffff"
										fontColor="#E83A30">移除</tn-button>
								</view>
							</tn-form>
							<view style="text-align: center;margin-top: 20rpx;">
								<tn-button @click="addWork" backgroundColor="#ffffff" fontColor="#1AB394">添加</tn-button>
							</view>
						</view>
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view>
							<view style="font-size: 30rpx;font-weight: 600;margin-bottom: 20rpx;">主要社会职务(可多选)</view>
							<tn-checkbox-group :wrap="true" activeColor="#3D7EFF" v-model="social_duties">
								<tn-checkbox name="全国人大代表">全国人大代表</tn-checkbox>
								<tn-checkbox name="全国政协委员">全国政协委员</tn-checkbox>
								<tn-checkbox name="全国青联委员">全国青联委员</tn-checkbox>
								<tn-checkbox name="省级人大代表">省级人大代表</tn-checkbox>
								<tn-checkbox name="省级政协委员">省级政协委员</tn-checkbox>
								<tn-checkbox name="省级青联委员">省级青联委员</tn-checkbox>
								<tn-checkbox name="市级人大代表">市级人大代表</tn-checkbox>
								<tn-checkbox name="市级政协委员">市级政协委员</tn-checkbox>
								<tn-checkbox name="市级青联委员">市级青联委员</tn-checkbox>
							</tn-checkbox-group>
							<view style="padding: 30rpx 0px;">
								<view style="font-size: 30rpx;font-weight: 600;">其他社会职务</view>
								<view
									style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;margin: 20rpx 0rpx;">
								</view>
								<tn-input v-model="formData.other_social_positions" :maxLength="1000"
									placeholder="其他社会职务" :clearable="false" :height="300" type="textarea"
									:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
							</view>
						</view>
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view>
							<view style="font-size: 30rpx;font-weight: 600">其他联系人</view>
							<tn-form v-for="(item,index) in contactsList" ref="form" :labelWidth="150">
								<tn-form-item label="姓名" :borderBottom="false">
									<tn-input placeholder="填写姓名" :clearable="false" inputAlign="right"
										:customStyle="{width: '470rpx'}" v-model="item.name" />
								</tn-form-item>
								<tn-form-item label="职务" :borderBottom="false">
									<tn-input placeholder="填写职务" :clearable="false" inputAlign="right"
										:customStyle="{width: '470rpx'}" v-model="item.post" />
								</tn-form-item>
								<tn-form-item label="电话">
									<tn-input placeholder="填写电话" :clearable="false" inputAlign="right"
										:customStyle="{width: '470rpx'}" v-model="item.phone" />
								</tn-form-item>
								<view v-if="index!=0" style="text-align: center;">
									<tn-button @click="delContacts(index)" backgroundColor="#ffffff"
										fontColor="#E83A30">移除</tn-button>
								</view>
							</tn-form>
							<view style="text-align: center;margin-top: 20rpx;">
								<tn-button @click="addContacts" backgroundColor="#ffffff"
									fontColor="#1AB394">添加</tn-button>
							</view>
						</view>
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view style="font-size: 40rpx;font-weight: 600">3.企业信息</view>
						<tn-form ref="form" :labelWidth="150">
							<tn-form-item label="企业名称" required>
								<tn-input placeholder="请输入企业名称" inputAlign="right" :clearable="false"
									:customStyle="{width: '470rpx'}" v-model="formData.enterprise_name" />
							</tn-form-item>
							<tn-form-item label="企业注册地" :labelWidth="180" required>
								<tn-input placeholder="请输入企业注册地" inputAlign="right" :clearable="false"
									:customStyle="{width: '440rpx'}" v-model="formData.enterprise_location" />
							</tn-form-item>
							<tn-form-item label="公司地址" required>
								<view @click="openLocation"
									class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.location_name}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
							</tn-form-item>
							<tn-form-item label="统一社会信用代码" required :labelWidth="280">
								<tn-input placeholder="请输入统一社会信用代码" inputAlign="right" :clearable="false"
									:customStyle="{width: '330rpx'}" v-model="formData.unified_code" />
							</tn-form-item>
							<tn-form-item label="注册资金（万元）" required :labelWidth="280">
								<tn-input placeholder="注册资金（万元）" inputAlign="right" :clearable="false"
									:customStyle="{width: '330rpx'}" v-model="formData.registered_capital" />
							</tn-form-item>
							<tn-form-item label="是否上市">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="ssShow = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.if_list_name}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-action-sheet :list="ssSheetList" v-model="ssShow"
									@click="actionSheetCallback"></tn-action-sheet>
							</tn-form-item>
							<tn-form-item label="企业网址">
								<tn-input placeholder="请输入企业网址" inputAlign="right" :clearable="false"
									:customStyle="{width: '470rpx'}" v-model="formData.enterprise_website" />
							</tn-form-item>
							<tn-form-item label="员工人数">
								<tn-input placeholder="请输入员工人数" inputAlign="right" :clearable="false"
									:customStyle="{width: '470rpx'}" v-model="formData.employee" />
							</tn-form-item>
							<tn-form-item label="所属行业">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="industry_id_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.industry_id_name}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-select v-model="industry_id_show" mode="single" :list="industry_list"
									@confirm="getindustryId"></tn-select>
							</tn-form-item>
							<tn-form-item label="企业性质">
								<view class="tn-flex tn-flex-row-right tn-flex-center tn-flex-col-center"
									@click="qyxz_show = true">
									<view style="font-size: 28rpx; color: rgba(102, 102, 102, 1);">
										{{formData.enterprise_nature}}
									</view>
									<view class="tn-icon-right" style="margin-left: 20rpx;"></view>
								</view>
								<tn-select :searchShow="false" v-model="qyxz_show" mode="multi-auto" :list="qyxz_list"
									@confirm="getQyxzId"></tn-select>
							</tn-form-item>
							<tn-form-item label="上年营业额" :labelWidth="180">
								<tn-input placeholder="上年营业额（万元）" inputAlign="right" :clearable="false"
									:customStyle="{width: '440rpx'}" v-model="formData.previous_revenue" />
							</tn-form-item>
							<tn-form-item label="上年纳税额" :labelWidth="180">
								<tn-input placeholder="上年纳税额（万元）" inputAlign="right" :clearable="false"
									:customStyle="{width: '440rpx'}" v-model="formData.previous_tax" />
							</tn-form-item>
							<tn-form-item label="上年度净利润" :labelWidth="200">
								<tn-input placeholder="上年度净利润（万元）" inputAlign="right" :clearable="false"
									:customStyle="{width: '420rpx'}" v-model="formData.previous_profit" />
							</tn-form-item>
							<tn-form-item label="上年公益性捐赠支出" :labelWidth="280">
								<tn-input placeholder="上年公益性捐赠支出（万元）" inputAlign="right" :clearable="false"
									:customStyle="{width: '330rpx'}" v-model="formData.previous_donation" />
							</tn-form-item>
							<tn-form-item prop="bank" :borderBottom="false">
								<view>
									<view style="font-size: 32rpx;font-weight: 600;">营业执照</view>
									<view style="text-align: center;">
										<view @click="upload_img(3)"
											style="margin: 0 auto;width: 450rpx;height: 300rpx;background-color: #EDEDED;border: 2px solid #C9C9C9;line-height: 300rpx;">
											<text v-if="formData.business_license_image==''">营业执照</text>
											<image v-if="formData.business_license_image!=''"
												:src="apiImgUrl+formData.business_license_image"
												style="width: 100%;max-height: 300rpx;"></image>
										</view>
									</view>
									<view style="text-align: center;margin-top: 30rpx;">
										<view @click="upload_img(4)"
											style="margin: 0 auto;width: 300rpx;height: 300rpx;background-color: #EDEDED;border: 2px solid #C9C9C9;line-height: 300rpx;">
											<text v-if="formData.company_image==''">公司LOGO</text>
											<image v-if="formData.company_image!=''"
												:src="apiImgUrl+formData.company_image"
												style="width:100%;max-height: 300rpx;"></image>
										</view>
									</view>
								</view>
							</tn-form-item>
						</tn-form>
						<view style="padding: 30rpx 0px;">
							<view>公司介绍</view>
							<tn-input v-model="formData.enterprise_Introduction" :maxLength="1000" placeholder="填写公司介绍"
								:clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
						<view style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;"></view>
						<view style="padding: 30rpx 0px;">
							<view>主营业务介绍</view>
							<tn-input v-model="formData.introdiction" :maxLength="1000" placeholder="填写主营业务介绍"
								:clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
						<view style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;"></view>
						<view style="padding: 30rpx 0px;">
							<view>企业所获荣誉以及专利</view>
							<tn-input v-model="formData.enterprise_honor" :maxLength="1000" placeholder="填写企业所获荣誉以及专利"
								:clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
						<view style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;"></view>
						<view style="padding: 30rpx 0px;">
							<view>其他企业任职情况</view>
							<tn-input v-model="formData.qitaqiyerenzhiqingkuang" :maxLength="1000"
								placeholder="填写其他企业任职情况" :clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
						<view style="height: 1px;background-color: rgba(0, 0, 0, 0.1);width: 100%;"></view>
						<view style="padding: 30rpx 0px;">
							<view>企业履行社会责任情况</view>
							<tn-input v-model="formData.enterprise_lvxingzeren" :maxLength="1000"
								placeholder="填写企业履行社会责任情况" :clearable="false" :height="300" type="textarea"
								:customStyle="{lineHeight:'42rpx',color:'#777777'}" />
						</view>
					</view>
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
						<view style="font-size: 40rpx;font-weight: 600">4.建团信息</view>
						<tn-form ref="form" :labelWidth="150">
							<tn-form-item label="是否建立团组织" :labelWidth="280">
								<tn-radio-group activeColor="#3D7EFF" v-model="formData.if_organization">
									<tn-radio name="1">否</tn-radio>
									<tn-radio name="0">是</tn-radio>
								</tn-radio-group>
							</tn-form-item>
							<block v-if="formData.if_organization==0">
								<tn-form-item label="团组织性质" :labelWidth="180">
									<tn-input placeholder="请输入团组织性质" inputAlign="right" :clearable="false"
										:customStyle="{width: '440rpx'}" v-model="formData.nature" />
								</tn-form-item>
								<tn-form-item label="建团时间" required>
									<tn-input @click="jiantuan_time_show = true" disabled placeholder="建团时间"
										:clearable="false" inputAlign="right" :customStyle="{width: '470rpx'}"
										v-model="formData.jiantuan_time" />
									<tn-picker mode="time" @confirm="jiantuan_time_chick"
										:params="{year: true,month: true,day: true,hour: false,minute: false,second: false}"
										v-model="jiantuan_time_show"></tn-picker>
								</tn-form-item>

								<tn-form-item label="建团人数">
									<tn-input placeholder="请输入建团人数" inputAlign="right" :clearable="false"
										:customStyle="{width: '470rpx'}" v-model="formData.jiantuan_number" />
								</tn-form-item>
								<tn-form-item label="青年人数">
									<tn-input placeholder="请输入青年人数" inputAlign="right" :clearable="false"
										:customStyle="{width: '470rpx'}" v-model="formData.youth_number" />
								</tn-form-item>
								<tn-form-item label="上级团组织" :labelWidth="180">
									<tn-input placeholder="请输入上级团组织" inputAlign="right" :clearable="false"
										:customStyle="{width: '440rpx'}" v-model="formData.superior_nature" />
								</tn-form-item>
								<tn-form-item label="批复文件" prop="bank" :borderBottom="true">
									<view class="tn-flex tn-flex-center tn-flex-col-center tn-flex-row-right">
										<view style="text-align: center;">
											<image v-if="formData.documents_file!=''"
												:src="apiImgUrl+formData.documents_file"
												style="width: 200rpx;height: 200rpx"></image>
										</view>
										<view style="margin-left: 20rpx;">
											<tn-button @click="upload_img(5)" backgroundColor="#3056D3"
												fontColor="#ffffff" size="sm">上传</tn-button>
										</view>
									</view>
								</tn-form-item>
							</block>
						</tn-form>
						<view v-if="formData.if_organization==0"
							style="background-color: #FFFFFF;border-radius: 20rpx;margin-top: 20rpx;">
							<view>
								<view style="font-size: 30rpx;font-weight: 600">团委负责人</view>
								<tn-form v-for="(item,index) in tuan_list" ref="form" :labelWidth="150">
									<tn-form-item label="姓名" :borderBottom="false">
										<tn-input placeholder="填写姓名" :clearable="false" inputAlign="right"
											:customStyle="{width: '470rpx'}" v-model="item.name" />
									</tn-form-item>
									<tn-form-item label="性别" :borderBottom="false">
										<tn-input placeholder="填写性别" :clearable="false" inputAlign="right"
											:customStyle="{width: '470rpx'}" v-model="item.sex" />
									</tn-form-item>
									<tn-form-item label="单位职务" :borderBottom="false">
										<tn-input placeholder="填写单位职务" :clearable="false" inputAlign="right"
											:customStyle="{width: '470rpx'}" v-model="item.job" />
									</tn-form-item>
									<tn-form-item label="团委职务" :borderBottom="false">
										<tn-input placeholder="填写团委职务" :clearable="false" inputAlign="right"
											:customStyle="{width: '470rpx'}" v-model="item.tun_job" />
									</tn-form-item>
									<tn-form-item label="手机号	">
										<tn-input placeholder="填写手机号" :clearable="false" inputAlign="right"
											:customStyle="{width: '470rpx'}" v-model="item.phone" />
									</tn-form-item>
									<view v-if="index!=0" style="text-align: center;">
										<tn-button @click="delTuanWei(index)" backgroundColor="#ffffff"
											fontColor="#E83A30">移除</tn-button>
									</view>
								</tn-form>
								<view style="text-align: center;margin-top: 20rpx;">
									<tn-button @click="addTuanWei" backgroundColor="#ffffff"
										fontColor="#1AB394">添加</tn-button>
								</view>
							</view>
						</view>
					</view>
				</view>
				<view
					style="z-index: 200;;position: fixed;bottom:0px;width: 100%;background-color: #FFFFFF;box-shadow: 0rpx -2rpx 4rpx 0rpx rgba(186,189,199,0.2);padding:30rpx 30rpx 40rpx 30rpx;">
					<view class="tn-flex tn-flex-center tn-flex-col-center tn-flex-row-center">
						<view @click="newSubmit()"
							style="line-height: 80rpx;height: 80rpx;font-size: 32rpx;font-weight: bold;text-align: center;width: 80%;color: #ffffff;;background: #3056D3;border: 1rpx solid #3056D3;border-radius: 90rpx;">
							<text>提交申请</text>
						</view>
					</view>
				</view>
			</view>
			<view v-if="current==2">
				<view style="padding: 30rpx;">
					<view
						style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;position:relative;height: 400rpx;">
						<view style="font-size: 34rpx;color: #181818;font-weight: bold;">温馨提示</view>
						<view style="font-size: 28rpx;color: #999999;margin-top: 20rpx;">
							<view>入会过程如有问题,请联系河南省青年企业家协会:</view>
							<view style="margin: 10rpx 0rpx;">
								联系方式: 0371-65560130
							</view>
							<view>
								联系邮箱: hnqqx@126.com
							</view>
							<view style="font-size: 32rpx;font-weight: 600;color: #000;margin-top: 20rpx;">
								如需修改资料请复制链接在电脑端打开</view>
							<view style="margin-top: 20rpx;">
								<tn-button @click="copy" backgroundColor="#3056D3" size="sm"
									fontColor="#ffffff">复制链接</tn-button>
							</view>
						</view>
						<view
							style="padding: 30rpx;margin-top: 40rpx;width: 100%;left: 0;position: absolute;border-radius: 30rpx;background: linear-gradient( 180deg, #EAEEFA 0%, #FFFFFF 100%);box-shadow: 0px 4px 25px 0px rgba(48,86,211,0.05);">
							<view style="font-size: 34rpx;color: #181818;font-weight: bold;">入会进展</view>
							<view style="margin-top: 50rpx;padding:0rpx 30rpx;">
								<tn-time-line>
									<view v-for="(item, index) in checkListTab" :key="index"
										style="padding-bottom: 20rpx;">
										<tn-time-line-item>
											<template slot="node">
												<view class="time-line-item__node">
													<view v-if="item.type!=-2"
														class="time-line-item__node--active tn-icon-success"></view>
													<view v-if="item.type==-2" style="background-color: #FF5159;"
														class="time-line-item__node--active tn-icon-close"></view>
												</view>
											</template>
											<template slot="content">
												<view class="tn-flex tn-flex-col-center tn-flex-row-between">
													<view>
														<view class="time-line-item__content__title">{{item.title}}
														</view>
													</view>
													<view style="font-size: 28rpx;color: #999999">{{item.time}}</view>
												</view>
												<view style="margin-top: 15rpx;" class="time-line-item__content__time">
													{{ item.content }}
												</view>
												<view v-if="item.type==-2" style="margin-top: 15rpx;color: #FF5159;"
													class="time-line-item__content__time">
													{{ item.desc }}
												</view>
											</template>
										</tn-time-line-item>
									</view>
								</tn-time-line>
							</view>
						</view>
					</view>
				</view>
				<view v-if="checkInfo.type==2"
					style="position: fixed;bottom:0px;width: 100%;background-color: #FFFFFF;box-shadow: 0rpx -2rpx 4rpx 0rpx rgba(186,189,199,0.2);padding:30rpx 30rpx 40rpx 30rpx;">
					<view class="tn-flex tn-flex-center tn-flex-col-center tn-flex-row-center">
						<view @click="current= 1"
							style="line-height: 80rpx;height: 80rpx;font-size: 32rpx;font-weight: bold;text-align: center;width: 80%;color: #ffffff;;background: #3056D3;border: 1rpx solid #3056D3;border-radius:90rpx;">
							<text>重新填写</text>
						</view>
					</view>
				</view>
			</view>
			<view v-if="current==3">
				<view style="padding: 30rpx;">
					<view
						style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;position:relative;height: 340rpx;">
						<view style="font-size: 34rpx;color: #181818;font-weight: bold;">温馨提示</view>
						<view style="font-size: 28rpx;color: #999999;margin-top: 20rpx;">
							<view>入会过程如有问题,请联系河南省青年企业家协会:</view>
							<view style="margin: 10rpx 0rpx;">
								联系方式: 0371-65560130
							</view>
							<view>
								联系邮箱: hnqqx@126.com
							</view>
						</view>
						<view
							style="padding: 30rpx;margin-top: 40rpx;width: 100%;left: 0;position: absolute;border-radius: 30rpx;background: linear-gradient( 180deg, #EAEEFA 0%, #FFFFFF 100%);box-shadow: 0px 4px 25px 0px rgba(48,86,211,0.05);">
							<view style="font-size: 34rpx;color: #181818;font-weight: bold;">会费缴纳</view>
							<view style="margin-top: 50rpx;padding:0rpx 30rpx;font-size: 30rpx;padding-bottom: 30rpx;">
								<view style="line-height: 55rpx;">请按照[河南省青年企业家协会]会费缴纳要求进行缴纳，完成后请联系协会工作人员！</view>
							</view>
						</view>
					</view>
				</view>
				<view
					style="position: fixed;bottom:0px;width: 100%;background-color: #FFFFFF;box-shadow: 0rpx -2rpx 4rpx 0rpx rgba(186,189,199,0.2);padding:30rpx 30rpx 40rpx 30rpx;">
					<view class="tn-flex tn-flex-center tn-flex-col-center tn-flex-row-center">
						<view @click="openPhone"
							style="line-height: 80rpx;height: 80rpx;font-size: 32rpx;font-weight: bold;text-align: center;width: 80%;color: #ffffff;;background: #3056D3;border: 1rpx solid #3056D3;border-radius:90rpx;">
							<text>拨打电话</text>
						</view>
					</view>
				</view>
			</view>
			<view v-if="current==5">
				<view style="padding: 30rpx;padding-bottom: 12rpx;">
					<view style="padding: 30rpx;background-color: #FFFFFF;border-radius: 20rpx;height: 340rpx;">
						<view style="font-size: 34rpx;color: #181818;font-weight: bold;">温馨提示</view>
						<view style="font-size: 28rpx;color: #999999;margin-top: 20rpx;">
							<view>入会过程如有问题,请联系河南省青年企业家协会:</view>
							<view style="margin: 10rpx 0rpx;">
								联系方式: 0371-65560130
							</view>
							<view>
								联系邮箱: hnqqx@126.com
							</view>
						</view>
					</view>
					<view
						style="padding: 30rpx;margin-top: -60rpx;width: 100%;left: 0;border-radius: 30rpx;background: linear-gradient( 180deg, #EAEEFA 0%, #FFFFFF 100%);box-shadow: 0px 4px 25px 0px rgba(48,86,211,0.05);">
						<view style="margin-top: 10rpx;padding:0rpx 10rpx;font-size: 30rpx;padding-bottom: 30rpx;">
							<view style="line-height: 55rpx;font-size: 32rpx;font-weight: 600">恭喜您，入会成功！</view>
							<view style="line-height: 55rpx;">
								<view>恭喜您正式成为我们协会的一员！您的加入将为我们的社区带来新的活力和视角。为了确保每位成员都能在一个和谐、专业的环境中成长和交流，请您务必遵守以下协会规则：
								</view>
								<view>1.尊重与合作 维护一个相互尊重的环境，对所有成员持开放和包容态度，鼓励积极的合作与交流。</view>
								<view>2.遵守规定 请熟悉并遵守协会的所有规章制度，包括但不限于会议出席、活动参与和财务政策。</view>
								<view>3.专业行为 在所有协会活动中展示专业精神，维护个人和协会的良好声誉。</view>
								<view>4.贡献与分享 积极参与协会活动，分享您的知识和经验，同时也从他人那里学习，共同促进社区的发展。</view>
								<view>5.保密责任 对于协会内部的敏感信息，如会议记录、会员资料等，应严格保密，未经许可不得对外透露。</view>
								<view>6.解决冲突 遇到任何分歧或冲突时，应通过和平、理性的沟通方式解决，避免任何可能损害协会团结的行为。</view>
								<view>7.持续改进 对协会的运营和发展提出建设性意见，帮助我们不断改进，使协会成为一个更加优秀的平台。</view>
								<view>8.我们期待着与您一起创造更多有价值的经历和成果。如果您有任何疑问或需要帮助，请随时联系协会管理人员。</view>
								<view>再次感谢您的加入，让我们携手共创美好未来！</view>
								<view>此致 敬礼！</view>
								<view style="margin-top: 20rpx;font-weight: 600;">河南省青年企业家协会</view>
								<view style="color: #999999;">{{checkInfo.createtime}}</view>
							</view>
						</view>
					</view>
				</view>
				<view
					style="position: fixed;bottom:0px;width: 100%;background-color: #FFFFFF;box-shadow: 0rpx -2rpx 4rpx 0rpx rgba(186,189,199,0.2);padding:30rpx 30rpx 40rpx 30rpx;">
					<view class="tn-flex tn-flex-center tn-flex-col-center tn-flex-row-center">
						<view @click="tn('/pages/index/index')"
							style="line-height: 80rpx;height: 80rpx;font-size: 32rpx;font-weight: bold;text-align: center;width: 80%;color: #ffffff;;background: #3056D3;border: 1rpx solid #3056D3;border-radius:90rpx;">
							<text>返回首页</text>
						</view>
					</view>
				</view>
			</view>
		</view>
		<view class='tn-tabbar-height'></view>
	</view>
</template>

<script>
	import {
		associationInfo,
		IndustryList,
		loginAdd,
		positionList,
		MemberList,
		applyInAdd,
		getApplyToken,
		examineType,
		getRegion
	} from '@/util/api.js';
	import store from "@/store";
	import string from "@/tuniao-ui/libs/function/string";

	export default {
		data() {
			return {
				apiImgUrl: this.$store.state.imgUrl,
				apiUpUrl: this.$store.state.apiUrl,
				applyToken: '',
				positionList: [],
				industry_list: [],
				jiantuan_time_show: false,
				position_show: false,
				gender_show: false,
				industry_id_show: false,
				genderList: [{
					text: '女',
					value: 0
				}, {
					text: '男',
					value: 1
				}],
				tuijianTypeList: [{
					text: '组织推荐',
					value: 1
				}, {
					text: '会员推荐',
					value: 2
				}, {
					text: '个人自荐',
					value: 3
				}],
				birth_time_show: false,
				checked1: false,
				topCurrent: 0,
				current: 1,
				info: {},
				tab_list: [{
					name: '入会须知'
				}, {
					name: '填写资料'
				}, {
					name: '入会审核'
				}, {
					name: '缴纳会费'
				}, {
					name: '入会成功'
				}],
				region_list: [],
				tuijian_region_show: false,
				workList: [{
					star_time: '',
					end_time: '',
					time: '',
					address: '',
					book: '',
				}],
				contactsList: [{
					name: '',
					post: '',
					phone: '',
				}],
				social_duties: [],
				ssShow: false,
				tuijian_type_show: false,
				tuijian_laiyuan_show: false,
				tuijian_yixiang_show: false,
				zz_show: false,
				formData: {
					enterprise_lvxingzeren: '',
					registered_capital: '',
					region_id: 0,
					region_name: '',
					zip_code: '',
					mail_address: '',
					intentional_association_position: '',
					source_channel: '',
					recommended_cities: '',
					recommendation_id: '',
					recommendation_name: '',
					position_name: '',
					position_id: 0,
					industry_id: '',
					industry_id_name: '',
					phone: '',
					password: '',
					nikename: '',
					gender_name: '',
					gender: 0,
					birth_time: '',
					nation: '',
					political: '',
					jiguan: '',
					institution: '',
					education: '',
					academic_degree: '',
					card_number: '',
					work_unit: '',
					unit_position: '',
					wx_number: '',
					mailbox: '',
					fixed_telephone: '',
					achievement_award: '',
					other_contacts: '',
					other_social_positions: '',
					position: '',
					cardf_image: '',
					cardz_image: '',
					photo_image: '',
					business_license_image: '',
					company_image: '',
					unified_code: '',
					enterprise_nature: '',
					enterprise_website: '',
					if_list: 1,
					if_list_name: '',
					employee: '',
					previous_revenue: '',
					previous_tax: '',
					previous_profit: '',
					previous_donation: '',
					qitaqiyerenzhiqingkuang: '',
					enterprise_Introduction: '',
					introdiction: '',
					enterprise_honor: '',
					if_organization: '1',
					nature: '',
					jiantuan_time: '',
					jiantuan_number: '',
					youth_number: '',
					superior_nature: '',
					tuanweifuzerenxinxi: '',
					documents_file: '',
					documents_file_show: [],
					enterprise_location: '',
					main_social_positions: '',
					reporting_method: 0,
					tuijian_type_name: '',
					recommendation_content: '',
					location_name: '',
					longitude: '',
					dimension: '',
				},
				star_time_show: false,
				laiyuanList: [{
					text: '网络来源'
				}, {
					text: '微信公众号来源'
				}, {
					text: '朋友推荐'
				}, {
					text: '其他渠道'
				}],
				yixiangList: [{
					text: '会员'
				}, {
					text: '理事'
				}, {
					text: '常务理事'
				}],
				ssSheetList: [{
						text: '是',
						id: 0
					},
					{
						text: '否',
						id: 1
					}
				],
				zz_list: [{
					label: '中共党员'
				}, {
					label: '中共预备党员'
				}, {
					label: '共青团员'
				}, {
					label: '民革党员'
				}, {
					label: '民盟盟员'
				}, {
					label: '民建会员'
				}, {
					label: '民进会员'
				}, {
					label: '农工党党员'
				}, {
					label: '致公党党员'
				}, {
					label: '九三学社社员'
				}, {
					label: '台盟盟员'
				}, {
					label: '无党派人士'
				}, {
					label: '无党派人士'
				}],
				xl_show: false,
				xl_list: [{
					label: '博士研究生'
				}, {
					label: '硕士研究生'
				}, {
					label: '本科'
				}, {
					label: '专科'
				}, {
					label: '其他'
				}],
				qyxz_show: false,
				qyxz_list: [{
					label: '国有'
				}, {
					label: '私营'
				}, {
					label: '混合所有制'
				}, {
					label: '集体'
				}, {
					label: '外贸'
				}, {
					label: '其他'
				}],
				tuijian_show: false,
				dq_show: false,
				member_list: [],
				tuan_list: [{
					name: '',
					sex: '',
					job: '',
					tun_job: '',
					phone: '',
				}],
				checkInfo: {},
				checkList: [],
				checkListTab: [{
					type: 0,
					title: '提交资料',
					content: '已按要求提交资料',
					time: '',
					desc: '',
				}],
				workIndex: 0,
				workType: 0,
			}
		},
		onLoad(d) {
			console.log('123456', d);
			if (typeof(d.scene) != 'undefined') {
				let decodedParams = decodeURIComponent(d.scene);
				var searchParams = this.parseQuery(decodedParams);
				d = searchParams;
			}
			if (typeof(d.association_id) != 'undefined') {
				store.commit('$tStore', {
					name: 'Gid',
					value: d.association_id
				})
			} else {
				uni.navigateTo({
					url: '/pages/index/index',
				});
			}
			getApp().getUserLogin((r) => {
				console.log('---Login---', r);
				this.formData.phone = r.data.phone;
			})
			this.getAssociationInfo();
			this.getPlan();
			this.getIndustry();
			this.getRegionList();
			this.getExamineType();
			this.getToken();
		},
		methods: {

			openLocation() {
				var that = this;
				uni.chooseLocation({
					success(res) {
						console.log('位置名称：' + res.name);
						console.log('详细地址：' + res.address);
						console.log('纬度：' + res.latitude);
						console.log('经度：' + res.longitude);
						that.formData.longitude = res.longitude;
						that.formData.dimension = res.latitude;
					},
					fail(res) {
						console.log(res);
					}
				});
			},
			work_time_chick(d) {
				if (this.workType == 1) {
					this.workList[this.workIndex].star_time = d.year + '-' + d.month;
				} else {
					this.workList[this.workIndex].end_time = d.year + '-' + d.month;
				}
			},
			jiantuan_time_chick(d) {
				console.log(d);
				this.formData.jiantuan_time = d.year + '-' + d.month + '-' + d.day;
			},
			openStarTime(index, type) {
				this.workIndex = index;
				this.workType = type;
				this.star_time_show = true;
			},
			addTuanWei() {
				this.tuan_list.push({
					name: '',
					sex: '',
					job: '',
					tun_job: '',
					phone: '',
				});
			},
			delTuanWei(index) {
				this.tuan_list.splice(index, 1);
			},
			addWork() {
				this.workList.push({
					time: '',
					address: '',
					book: '',
				});
			},
			delWork(index) {
				this.workList.splice(index, 1);
			},
			addContacts() {
				this.contactsList.push({
					name: '',
					post: '',
					phone: '',
				});
			},
			delContacts(index) {
				this.contactsList.splice(index, 1);
			},
			getToken() {
				var openid = uni.getStorageSync('openid');
				getApplyToken({
						association_id: 1,
						openid: openid
					})
					.then(res => {
						this.applyToken = res.data;
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			parseQuery(queryStr) {
				let params = {};
				queryStr.split('&').forEach(param => {
					let [key, value] = param.split('=');
					params[key] = decodeURIComponent(value);
				});
				return params;
			},
			getExamineType() {
				examineType()
					.then(res => {
						console.log(res);
						if (res.code == 1) {
							this.checkInfo = res.data.length > 0 ? res.data[res.data.length - 1] : '';
							if (this.checkInfo != '') {
								if (this.checkInfo.type == 0) {
									this.checkListTab[0].time = this.checkInfo.createtime;
									this.checkListTab.push({
										type: -1,
										title: '审核进行中',
										content: '会员事务部正在对您的入会资料进行仔细核查,以确保信息的真实有效性',
										desc: '',
										time: '',
									});
									this.current = 2;
								}
								if (this.checkInfo.type == 1) {
									this.current = 5;
								}
								if (this.checkInfo.type == 2) {
									this.checkListTab.push({
										type: -2,
										title: '审核结果',
										content: '审核被驳回',
										desc: this.checkInfo.content,
										time: '',
									});
									this.current = 2;
								}
								if (this.checkInfo.type == 3) {
									this.current = 3;
								}
							}
							this.checkList = res.data;
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			copy() {
				var info = uni.getStorageSync('userInfo');
				uni.setClipboardData({
					data: 'https://hnyea.0rui.cn/dist/#/register?token=' + this.applyToken + '&openid=' + info
						.openid,
					success: function() {
						console.log('success');
					}
				});
			},
			getMemberList() {
				MemberList({
						association_id: store.state.Gid,
					})
					.then(res => {
						if (res.code == 1) {
							var key = res.data;
							var transformedSelectList = key.map(item => ({
								value: item.id,
								label: item.nikename
							}));
							if (this.new_info.recommendation_id != 0) {
								var index = transformedSelectList.findIndex(item => item.value == this.new_info
									.recommendation_id);
								this.new_info.recommendation_name = transformedSelectList[index].label;
							}
							this.member_list = transformedSelectList;
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			getRegionList() {
				getRegion({
						association_id: store.state.Gid,
					})
					.then(res => {
						if (res.code == 1) {
							this.region_list = res.data;
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			getIndustry() {
				IndustryList({
						association_id: store.state.Gid,
					})
					.then(res => {
						if (res.code == 1) {
							var key = res.data;
							const transformedSelectList = key.map(item => ({
								value: item.id,
								label: item.industry_name
							}));
							this.industry_list = transformedSelectList;
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			getQyxzId(d) {
				this.formData.enterprise_nature = d[0].label;
			},
			getDqId(d) {
				this.formData.region_name = d[0].label + '/' + d[1].label;
				this.formData.region_id = d[1].value;
			},
			getXlId(d) {
				this.formData.education = d[0].label;
			},
			getZzId(d) {
				this.formData.political = d[0].label;
			},
			getYixiang(d) {
				var info = this.yixiangList[d];
				this.formData.intentional_association_position = info.text;
			},
			getLaiyuan(d) {
				var info = this.laiyuanList[d];
				this.formData.source_channel = info.text;
			},
			getTuiJianRegion(d) {
				console.log(d);
				this.formData.recommended_cities = d[0].label;
			},
			getTuiJianTypeId(d) {
				var info = this.tuijianTypeList[d];
				this.formData.tuijian_type_name = info.text;
				this.formData.reporting_method = info.value;
			},
			getTuiJianId(d) {
				var info = d[0];
				this.formData.recommendation_id = info.value;
				this.formData.recommendation_name = info.label;
			},
			getPositionId(d) {
				var info = d[0];
				this.formData.position_name = info.label;
				this.formData.position_id = info.value;
			},
			getGenderId(d) {
				console.log(d);
				var info = this.genderList[d];
				this.formData.gender_name = info.text;
				this.formData.gender = d;
			},
			getindustryId(d) {
				var info = d[0];
				this.formData.industry_id_name = info.label;
				this.formData.industry_id = info.value;
			},
			actionSheetCallback(d) {
				console.log(d);
				var info = this.ssSheetList[d];
				this.formData.if_list = d;
				this.formData.if_list_name = info.text;
			},
			birth_time_chick(d) {
				console.log(d);
				this.formData.birth_time = d.year + '-' + d.month + '-' + d.day;
				//this.formData.birth_time_name = d.date;
			},
			one_next() {
				if (!this.checked1) {
					uni.showToast({
						title: '请同意入会协议',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				this.current = 1;
				setTimeout(() => {
					uni.pageScrollTo({
						scrollTop: 0,
						duration: 0
					})
				}, 100)
			},
			getPlan() {
				positionList({
						association_id: 1,
					})
					.then(res => {
						if (res.code == 1) {
							var key = res.data;
							const transformedSelectList = key.map(item => ({
								value: item.id,
								label: item.position_name
							}));
							this.positionList = transformedSelectList;
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			getAssociationInfo() {
				associationInfo({
						association_id: 1,
					})
					.then(res => {
						console.log(res);
						if (res.code == 1) {
							var key = res.data;
							if (key.association_desc.indexOf("<img") != -1) {
								key.association_desc = getApp().addWidthToImages(key.association_desc);
							}
							this.info = key;
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			upload_img(type) {
				var user_info = uni.getStorageSync('userInfo');
				var that = this;
				uni.chooseMedia({
					count: 1, //默认9
					mediaType: ['image'],
					sizeType: ['original', 'compressed'], //可以指定是原图还是压缩图，默认二者都有
					sourceType: ['album'], //从相册选择
					success: function(res) {
						console.log(res);
						var url = res.tempFiles[0].tempFilePath;
						uni.uploadFile({
							url: that.apiUpUrl + '/common/upload', //仅为示例，非真实的接口地址
							filePath: url,
							name: 'file',
							formData: {
								association_id: 1,
							},
							success: (uploadFileRes) => {
								var data = JSON.parse(uploadFileRes.data);
								if (type == 0) {
									that.formData.photo_image = data.data.url;
								} else if (type == 1) {
									that.formData.cardz_image = data.data.url;
								} else if (type == 2) {
									that.formData.cardf_image = data.data.url;
								} else if (type == 3) {
									that.formData.business_license_image = data.data.url;
								} else if (type == 4) {
									that.formData.company_image = data.data.url;
								} else {
									that.formData.documents_file = data.data.url;
								}

							}
						});
					}
				});
			},
			newSubmit() {
				if (this.formData.phone == '') {
					uni.showToast({
						title: '请填写手机号码！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				const phoneNumberRegex = /^1[3-9]\d{9}$/;
				if (!phoneNumberRegex.test(this.formData.phone)) {
					uni.showToast({
						title: '手机号码输入有误！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.nikename == '') {
					uni.showToast({
						title: '请填写真实姓名！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.enterprise_name == '') {
					uni.showToast({
						title: '请填写企业名称！',
						icon: 'none',
						duration: 2000
					});
					return;
				}

				if (this.workList.length > 0) {
					if (this.workList[0].star_time == '') {
						uni.showToast({
							title: '请填写起止日期！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.workList[0].end_time == '') {
						uni.showToast({
							title: '请填写起止日期！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.workList[0].address == '') {
						uni.showToast({
							title: '请输入地区单位！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.workList[0].book == '') {
						uni.showToast({
							title: '请输入担任职务！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					this.workList.map(item => ({
						time: `${item.star_time} 至 ${item.end_time}`,
						address: item.address,
						book: item.book
					}));
					this.formData.work_experience = JSON.stringify(this.workList);
				}
				if (this.contactsList.length > 0) {
					if (this.contactsList[0].name == '') {
						uni.showToast({
							title: '请输入姓名-1！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.contactsList[0].post == '') {
						uni.showToast({
							title: '请输入职务！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.contactsList[0].phone == '') {
						uni.showToast({
							title: '请输入电话！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					this.formData.other_contacts = JSON.stringify(this.contactsList);
				}
				if (this.social_duties.length > 0) {
					const splitAndJoin = this.social_duties
						.map(item => item.split(','))
						.flat()
						.filter(item => item.trim() !== '') // 过滤掉空字符串和仅含空格的字符串
						.join(',');
					this.formData.main_social_positions = splitAndJoin;
				}
				if (this.formData.longitude == '' || this.formData.dimension == '') {
					uni.showToast({
						title: '请选择企业地址！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.tuan_list.length > 0 && this.formData.if_organization == 0) {
					if (this.tuan_list[0].name == '') {
						uni.showToast({
							title: '请输入姓名！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.tuan_list[0].sex == '') {
						uni.showToast({
							title: '请输入性别！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.tuan_list[0].job == '') {
						uni.showToast({
							title: '请输入单位职务！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.tuan_list[0].tun_job == '') {
						uni.showToast({
							title: '请输入团委职务！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.tuan_list[0].phone == '') {
						uni.showToast({
							title: '请输入电话！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					this.formData.tuanweifuzerenxinxi = JSON.stringify(this.tuan_list);
				}
				this.formData.association_id = 1;
				this.formData.openid = uni.getStorageSync('openid');
				applyInAdd(this.formData)
					.then(res => {
						if (res.code == 1) {
							uni.showModal({
								title: '提示',
								content: '申请成功，请关注站内信通知！',
								success: function(res) {
									uni.navigateTo({
										url: '/pages/index/index'
									});
								}
							});
						} else {
							uni.showToast({
								title: res.msg,
								icon: 'error',
								duration: 2000
							});
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			submit() {
				if (this.formData.business_license_image == '') {
					uni.showToast({
						title: '请上传营业执照！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.unified_code == '') {
					uni.showToast({
						title: '请输入统一社会信用代码！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.enterprise_nature == '') {
					uni.showToast({
						title: '请输入企业性质！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.industry_id == null) {
					uni.showToast({
						title: '请选择行业！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.enterprise_website == '') {
					uni.showToast({
						title: '请输入企业网址！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.if_list == null) {
					uni.showToast({
						title: '请选择是否上市！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.employee == '') {
					uni.showToast({
						title: '请输入员工人数！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.enterprise_location == '') {
					uni.showToast({
						title: '请输入企业注册地！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.previous_revenue == '') {
					uni.showToast({
						title: '请输入上年度营业额！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.previous_tax == '') {
					uni.showToast({
						title: '请输入上年度纳税额！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.previous_profit == '') {
					uni.showToast({
						title: '请输入上年度净利润！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.previous_donation == '') {
					uni.showToast({
						title: '请输入上年度公益性捐赠支出！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.qitaqiyerenzhiqingkuang == '') {
					uni.showToast({
						title: '请输入其他企业任职情况！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.enterprise_Introduction == '') {
					uni.showToast({
						title: '请输入企业介绍！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.introdiction == '') {
					uni.showToast({
						title: '请输入业务介绍！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.enterprise_honor == '') {
					uni.showToast({
						title: '请输入企业所获荣誉以及专利！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.if_organization == null) {
					uni.showToast({
						title: '是否建立团组织！',
						icon: 'none',
						duration: 2000
					});
					return;
				}
				if (this.formData.if_organization == 0) {
					if (this.formData.nature == '') {
						uni.showToast({
							title: '请输主团组织性质！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.formData.jiantuan_time == '') {
						uni.showToast({
							title: '请输入建团时间！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.formData.jiantuan_number == '') {
						uni.showToast({
							title: '请输入建团人数！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.formData.youth_number == '') {
						uni.showToast({
							title: '请输入青年人数！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.formData.superior_nature == '') {
						uni.showToast({
							title: '请输入上级团组织！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.formData.tuanweifuzerenxinxi == '') {
						uni.showToast({
							title: '请输入团委负责人信息！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
					if (this.formData.documents_file == '') {
						uni.showToast({
							title: '请上传批复文件！',
							icon: 'none',
							duration: 2000
						});
						return;
					}
				}
				this.formData.association_id = this.id;
				loginAdd(this.formData)
					.then(res => {
						if (res.code == 1) {
							uni.showToast({
								title: '申请成功，请关注站内信通知！',
								icon: 'success',
								duration: 2000
							});
						} else {
							uni.showToast({
								title: res.msg,
								icon: 'error',
								duration: 2000
							});
						}
					})
					.catch(error => {
						uni.showToast({
							title: error,
							icon: 'none',
							duration: 2000
						});
					})
			},
			// 跳转
			tn(e) {
				uni.navigateTo({
					url: e,
				});
			},
			openPhone() {
				uni.makePhoneCall({
					phoneNumber: '0371-65560130' //仅为示例
				});
			},
			goBack() {
				if (getCurrentPages().length > 1) {
					uni.$emit('depId', {
						index: 3
					})
					uni.navigateBack();
				} else {
					uni.redirectTo({
						url: '/pages/index/index'
					})

				}
			},
		}
	}
</script>

<style lang="scss" scoped>
	page {
		background-color: #F1F2F8;
	}

	.time-line {

		&__wrap {
			padding: 60rpx 30rpx 30rpx 60rpx;
		}

		&-item {
			&__node {
				width: 44rpx;
				height: 44rpx;
				border-radius: 100rpx;
				display: flex;
				align-items: center;
				justify-content: center;
				background-color: #AAAAAA;

				&--active {
					background-color: #3056D3;
					width: 44rpx;
					height: 44rpx;
					border-radius: 50%;
					line-height: 44rpx;
					color: #FFFFFF;
				}

				&--icon {
					color: #FFFFFF;
					font-size: 24rpx;
				}
			}

			&__content {
				&__title {
					font-weight: bold;
					font-size: 32rpx;
				}

				&__desc {
					color: $tn-font-sub-color;
					font-size: 28rpx;
					margin-bottom: 6rpx;
				}

				&__time {
					color: #999999;
					font-size: 26rpx;
				}
			}
		}
	}
</style>